#!/usr/bin/env python

import sys
import os
import gui.DimController
from dimlib.Library import *
import user

try:
	DATA_DIR = isDirectory("data") and "data" or sys.prefix + "/share/dim"
except:
	DATA_DIR = "/share/dim"

START_DIR = user.home

THUMB_DIR = user.home + "/.thumbnails/normal"

try:
	import pygtk
	#tell pyGTK, if possible, that we want GTKv2
	pygtk.require("2.0")
except:
	#Some distributions come with GTK2, but not pyGTK
	pass

try:
	import gtk
	import gtk.glade
except:
	print "You need to install pyGTK or GTKv2 ",
	print "or set your PYTHONPATH correctly."
	print "try: export PYTHONPATH=",
	print "/usr/local/lib/python2.2/site-packages/"
	sys.exit(1)

import gnome.ui

def main():
	gnome.init('Dim', '0.1')

	glade_filename = os.path.join(DATA_DIR, "dim.glade")
	xml = gtk.glade.XML(glade_filename, None)

	launcher = gui.DimController.DimController(THUMB_DIR, xml, START_DIR)

	gtk.mainloop()
    

if __name__ == "__main__":
	main()
